Does anyone know a way I can toggle on Automatic Smoothing when using the function AddNewThickSurface to thicken a surface in a CATScript in V5? The option in the dialog box is shown in the image.
Thanks,
Jeff
Hi,
I have tried to simulate a tensile test of a dogbone specimen using SOL 106 in order to check my grasp of nonlinear simulation which I am still learning. Based on my results, I seem to be falling short in my understanding. The model consists of CQUAD4 shell elements, with one end of the...
I am trying to simulate contact using SOL 106 using GAP elements in SimCenter 3D. I want my GAP elements to connect 'matched' nodes which I have created on my mesh by projecting a point set along a vector onto each of the 2 meshes which I want to be in contact. I am using the 1D connection...
I am using NX 2027 and by recording a journal to execute the "update mass properties" function, I have the resulting code:
'Update mass values
Dim componenttags1(0) As NXOpen.NXObject
componenttags1(0) = workPart.ComponentAssembly
Dim massCalculationBuilder1 As...
Hi,
This is indirectly related to this thread, in that it is part of the same CATScript.
The following code moves the Point2D objects by DeltaX(i) & DeltaY(i) if the object is found in a specified area on the background view of a drawing sheet:
If TypeName(TheGeom)="Point2D" then...
I have a CATscript which is looping through lines on a drawing (the lines belong to some titleblock geometry) and extracting the start point (origin) of the lines.
For some reason, the results are not correct. For example, I have a line which I can manually check (double click on the line) and...
I have a VB.NET journal which is gathering all the entities on a layer and putting them into a list of NXObject.
I want to loop through the list and remove the objects that are not not visible on the active drawing sheet. There are other drawing sheets in the part file and I don't want to...
I have a journal that identifies the start and end point of a line, and checks to see if it is in a specific area on the drawing sheet bounded by X1(i),Y1(i) & X2(i),Y2(i) and then adds it to a collection:
Dim theLine As Line = CType(obj, Line)
' Check if both endpoints are within the...
Hi,
I have a journal that identifies a component (child) in an old assembly, and then checks to see how many of that component is in a new assembly (newcomponent), using the below wrapper:
ufs.Assem.AskOccsOfPart(newcomponent.Prototype.OwningPart.Tag, child.Prototype.OwningPart.Tag,numOccs)...
Hi,
I'm just learning how to use SimCenter 3D. I'm working with the SOL 106 - nonlinear solution with shell elements (I don't have access to 401 or 402). Is there a way I can plot/output/measure the final thickness of shell elements?
Thanks,
Jeff
Hi,
I've noticed that when I am using the static wireframe mode, with static hidden edges invisible (under visualization preferences), the accuracy of the hidden line view changes depending on what my view scale is. When I set my view scale as 1, it does a poor job and hides edges which should...
My NX prt files are correctly associated to the following command, as confirmed using ftype:
C:\WINDOWS\system32>ftype NXPartfile
NXPartfile="C:\Program Files\Siemens\NX1953\NXBIN\ugs_router.exe" -ug -use_file_dir "%1"
If I try to open from the command line to check that everything is good...
Hi,
I have an NX Journal in VB which grabs all the objects on layer 1 by using:
allObjects = workPart.Layers.GetAllObjectsOnLayer(1)
If I want to ADD all the objects on a DIFFERENT layer to allObjects, I'm not sure how to do that. Essentially I want to append the objects on the different...
If I select object information (CTRL+I) on a body, the listing window will return the Date & part history version when that body was last modified.
e.g.:
Modified Version 29 Apr 2020 14:24 (by user userwhois) Version 55
I would like to capture that information in a journal. Is there a...
I have a datum symbol that is placed on a line at an angle on a drawing. If I create the symbol with the origin set to Associative Alignment, the text is parallel to the line, which I don't want. If I create the symbol with the origin alignment turned off, the text is horizontal - which I do...
For some reason, one of my customers is creating model views with 0.025mm character sizes for text. The result is that when I export the model view to a PDF file, the linewidth is thicker than the character size and all I get are a bunch of blobs. The customer won't change their model view...
Does ASME Y14.5M allow or restrict the application of multiple datums on the same feature?
For example, if I have a part which is going through multiple manufacturing steps, can I do the following:
- Side 1 of the part is both datum B & datum X, and side 2 of the part is both datum C & datum Y...
I would like to create a drop down list which is based on a column in a table, but when the item (Cell D5) is selected from the list(Table MyList, Column C) it should be a link to the item so that when I change the item in the original table (MyList) it also updates in the cell D5 that was...
I would like my journal to step through the following canned views: iso,top,front,right
using
workpart.ModelingViews.WorkView.orient(Vw,0)
where Vw is the NXOpen.View.Canned name, but because this isn't just a string or integer (at least from what I understand) I can't figure out how to do...
We currently use the ROM1 font for our CATIA drawings as it matches the look of the UG/NX Blockfont which we use for NX drafting. We save our drawings as PDFs and when the ROM1 font is used we either end up with a PDF without searchable text, or a font substitution that doesn't look like the...